require('dotenv').config();
const express = require('express')
const bodyParser = require('body-parser')
const cors = require('cors')


const app = express()
app.use(bodyParser.urlencoded({ extended: true }))

const corsOptions = {
    origin: function (origin, callback) {
        callback(null, true)
    },
    credentials: true,
    enablePreflight: true
}
app.use(cors(corsOptions))

const mainRoute = require('./src/routes/main');
app.use('/', mainRoute);
module.exports = app.listen(process.env.PORT, () => {
    console.log('listening on ' + process.env.PORT)
    console.log('Server live at http://localhost:' + process.env.PORT)
  });
  

